Subject: Offline Message from Ghaida: Regarding order #100162285 I recieved the order
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 23 Jul 2020 09:04:47 -0000

From: Ghaida <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://www.mumzworld.com/en/contact-us/
Department: 

Regarding order #100162285

I recieved the order but those attached items are missed!
Please I do not want refund or gift cards!
I want you to ship my remaining order ASAP!!
I paid 100 for shipping, it comes too late and with missed items!
I am gold purchaser, if you do not respect your clients, they will not come back and buy!

I sent lots of emails with no response!!

Worst service, I will not buy again and I will advice every one not to, if you do not send my remaining order

----
Zopim
https://www.zopim.com